# ArgumentOption
Date: 2020-04-18

me.legofreak107.vehiclesplus.libraries.commandlibrary.objects

## Enum ArgumentOption

- java.lang.Object
- - java.lang.Enum<ArgumentOption>
  - - me.legofreak107.vehiclesplus.libraries.commandlibrary.objects.ArgumentOption

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ArgumentOption>

    public enum ArgumentOption
    extends java.lang.Enum<ArgumentOption>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BOOLEAN`
`DOUBLE`
`INTEGER`
`PLAYER`
`STRING`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static java.util.Optional<ArgumentOption>` `fromClass(java.lang.Class<?> inputClass)`
`java.lang.Class<?>` `getArgumentClass()`
`java.lang.String` `getTypeDescription()`
`static ArgumentOption` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ArgumentOption[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### STRING

    public static final ArgumentOption STRING

#### INTEGER

    public static final ArgumentOption INTEGER

#### DOUBLE

    public static final ArgumentOption DOUBLE

#### BOOLEAN

    public static final ArgumentOption BOOLEAN

#### PLAYER

    public static final ArgumentOption PLAYER

### Method Detail

#### values

    public static ArgumentOption[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ArgumentOption c : ArgumentOption.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ArgumentOption valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getArgumentClass

    public java.lang.Class<?> getArgumentClass()

#### getTypeDescription

    public java.lang.String getTypeDescription()

#### fromClass

    public static java.util.Optional<ArgumentOption> fromClass(java.lang.Class<?> inputClass)